package com.bonus.core.drp.po;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

@ApiModel
public class IntoDetailMaterialModel {
   @ApiModelProperty("扣减数量")
   private BigDecimal fetchNum;
   @ApiModelProperty("原料id")
   private Long materialId;
   @ApiModelProperty("供应商")
   private Long supplierId;
   @ApiModelProperty("单位id")
   private Long unitId;
   @ApiModelProperty("规格")
   private String size;
   @ApiModelProperty("进价")
   private Integer unitPrice;

   public BigDecimal getFetchNum() {
      return this.fetchNum;
   }

   public Long getMaterialId() {
      return this.materialId;
   }

   public Long getSupplierId() {
      return this.supplierId;
   }

   public Long getUnitId() {
      return this.unitId;
   }

   public String getSize() {
      return this.size;
   }

   public Integer getUnitPrice() {
      return this.unitPrice;
   }

   public void setFetchNum(final BigDecimal fetchNum) {
      this.fetchNum = fetchNum;
   }

   public void setMaterialId(final Long materialId) {
      this.materialId = materialId;
   }

   public void setSupplierId(final Long supplierId) {
      this.supplierId = supplierId;
   }

   public void setUnitId(final Long unitId) {
      this.unitId = unitId;
   }

   public void setSize(final String size) {
      this.size = size;
   }

   public void setUnitPrice(final Integer unitPrice) {
      this.unitPrice = unitPrice;
   }

}
